@font-face {
  font-family: SourceCodePro-Medium;
  src: url("/Fonts/SourceCodePro-Medium.ttf") format(truetype);
}

@font-face {
  font-family: New-Frank-Light;
  src: url("/Fonts/New_Frank_Light.otf") format(opentype);
}

@font-face {
  font-family: New-Frank-Bold;
  src: url("/Fonts/New_Frank_Bold.otf") format(opentype);
}

p{
  padding: 0;
  margin: 0;
}

body{
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  background-color: black;
  overflow: hidden;
}

#mainContainer{
  width: 100vw;
  height: 100vh;
  height: 100svh;
}

#radioContainer{
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: absolute;
}

#overlayContainer{
  width: 42svh;
  height: 85%;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 15%;
  overflow: hidden;
}

#screenContainer{
  position: absolute;
  width: 62%;
  height: 35%;
  top: 11%;
  left: 26%;
}

#radioImg{
  width: 80svh;
  height: 100%;
  object-fit: cover;
  position: absolute;
  overflow: hidden;
  left: 50%;
  transform: translateX(-50%);
}


#frequencyWindow{
  width: 100%;
  height: 19%;
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
}

#dialContainer{
  display: flex;
  width: 30vh;
  justify-content: space-between;
  position: absolute;
  bottom: 21%;
  left: 52%;
  transform: translateX(-50%);
}

.dial{
      filter: drop-shadow(0px 6px 7px rgba(0, 0, 0, 0.8));
}

.phoneDials{
  bottom: 16svh !important;
}

.dials{
  -webkit-user-drag: none;
  cursor: grab;
  transform-origin: center center;
  width: 13vh;
}

#radioDisplay{
  top: 22%;
  position: absolute;
  width: 100%;
  height: 76%;
}

#comma, #radioDecInput{
  text-align: center !important;
  width: 13%;
}
#frequencyWindow span {
  font-family: SourceCodePro-Medium;
  background-color: transparent;
  border: 0;
  font-size: 5vh;
  text-align: right;
}


#radioFreqInput{
  width: 37%;
}



#buttonContainer{
  position: absolute;
  top: 49%;
  left: 22%;
  width: 70%;
  height: 7%;
}

#menuBtn{
  width: 25%;
  height: 52%;
  position: absolute;
  left: 5%;
  top: 21%;
}

#resetBtn{
  width: 25%;
  height: 52%;
  position: absolute;
  left: 37.6%;
  top: 21%;
}

#enterBtn{
  width: 25%;
  height: 52%;
  position: absolute;
  left: 70%;
  top: 21%;
}

#audioPlayer{
  color: black;
  background-color: #34FF01;
}

#radioDisplay{
  color: #34FF01;
  padding: 5%;
}

.title{
  font-family: New-Frank-Bold !important;
  font-size: 2vh !important;
}

#savedFrequencies {
  font-family: New-Frank-Light;
  font-size: 2vh;
  height: 100%;
}

.itemText{
  height: 2vh;
}

.playIconContainer{
  width: 4.5vh;
  height: 3.3vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #34FF01;
  border-radius: 5px;
}
.playIcon{
  width: 3vh;
  height: 3vh;
}

#playerIcon{
  width: 3.5vh;
  height: 3.5vh;
  padding-right: 2%;
}

.freqItem{
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 5%;
}

#correctSymbolScreen, #enterPasswordScreen{
  display: none;
}

#enterPasswordInputContainer{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.audioPlayer{
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  align-items: center;
  background-color: #34FF01;
  color: black;
  padding: 2%;
  border-radius: 0.5rem;
  margin-top: 5%;
  margin-bottom: 5%;
  width: 100%;
}

#progressBar{
  width: 0%;
  background-color: green;
  height: 1vh;
  border-radius: 5px;
}

#progressBarContainer{
  width: 65%;
  background: black;
  height: 1vh;
  border-radius: 5px;
}

#soundTimeContainer{
  display: flex;
  padding-left: 2%;
  font-size: 2vh;
}

#correctSymbolScreen{
  display: none;
  height: 100%;
}

#correctSymbolContainer{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
}

#enterPasswordTitle{
  font-family: New-Frank-Bold !important;
  font-size: 2vh;
  text-align: center;
}

#listOfFreq{
  width: 100%;
  height: 60%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin-top: 10%;
}

#playBtn, #enterPasswordBtn{
  height: 17%;
}

#returnBtn{
  height: 17%;
  display: none;
}

#enterPassword{
  display: none;
  width: 100%;
}

#enterPasswordTitle{
  margin-bottom: 25%;
}
.correctSymbol{
  width: 30%;
}

#enterPasswordInput{
  width: 100%;
  background-color: transparent;
  outline: none;
  border: 0;
  border-bottom: 2px solid #34FF01;
  font-size: 2vh;
  color: #34FF01;
  margin-bottom: 10%;
  text-align: center;
  text-transform: uppercase;
}

.greenBorder{
  border: 1px solid #34FF01;
  border-radius: 5%;
}

@keyframes shake {
  0% { transform: translate(0, 0); }
  20% { transform: translate(-10px, 0); }
  40% { transform: translate(10px, 0); }
  60% { transform: translate(-10px, 0); }
  80% { transform: translate(10px, 0); }
  100% { transform: translate(0, 0); }
}


.apply-shake {
  animation: shake 0.4s ease-in-out;
  color: red !important;
}

.incorrectPass{
  animation: shake 0.4s ease-in-out;
  color: red !important;
  border-bottom: 2px solid red !important;
}

.mobileZoomIn{
  transform: scale(135%);
  transform-origin: 25vh 50vh;
  overflow: hidden;
}

@media screen and (max-width: 768px){
  /* #radioImg{
    width: 200%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    overflow: hidden;
    left: 50%;
    transform: translateX(-50%);
  } */

  /* #radioContainer{
    background-image: url("/Images/radio.svg");
    background-size: 200%;
    background-position: 50% 45%;
  }

  #overlayContainer{
    transform: scale(2)
  } */
}


/* .frequencyWindow{
  background-color: #8FC54E;
  width: 65%;
  display: flex;
  flex-direction: column;
  margin: auto;
}

.frequencyWindow input {
  background-color: transparent;
  border: 0;
  
  font-size: 10vw;
}

#radioFreqInput{
  width: 35%;
  text-align: right;
}

#radioDecInput{
  width: 25%;
}

.frequencyWindow input:focus{
  outline: none;
}

#freqDial, #decDial{
  -webkit-user-drag: none;
  cursor: grab;
  transform-origin: center center;
  width: 13vh;
}

.dialContainer{
  display: flex;
  width: 30vh;
  justify-content: space-between;
  position: absolute;
  bottom: 18%;
  left: 50%;
  transform: translateX(-50%);
}

.radioInputContainer{
    display: flex;
    justify-content: center;
    align-items: baseline;
}

.radioInputContainer p{
  font-size: 10vw;
}

.radioTitle{
  padding-left: 5%;
}

.resetSubmitContainer{
  margin-top: 5%;
  display: flex;
  width: 80%;
  justify-content: space-evenly;
}

#resetBtn{
  background-color: red;
  color: white;
  border-radius: 50px;
  padding: 2% 10%;
}

#submitBtn{
  background-color: green;
  color: white;
  border-radius: 50px;
  padding: 2% 10%;
}

@keyframes shake {
  0% { transform: translate(0, 0); }
  20% { transform: translate(-10px, 0); }
  40% { transform: translate(10px, 0); }
  60% { transform: translate(-10px, 0); }
  80% { transform: translate(10px, 0); }
  100% { transform: translate(0, 0); }
}


.apply-shake {
  animation: shake 0.4s ease-in-out;
}

.popupContainer{
  z-index: 2;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: gray;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  width: 80%;
  padding: 10%;
}

.symbol{
  width: 80%;
  padding-bottom: 5%;
}

#closePopup{
    position: absolute;
    top: 2%;
    right: 5%;
    font-size: 20px;
    font-weight: bold;
}

#audioFile{
  width: 100%;
  padding-bottom: 5%;
}
.savedFrequencies{
  padding-top: 5%;
  width: 80%;
}
#savedFrequenciesList{
  padding-left: 0;
}

#savedFrequenciesList li{
    display: flex;
    justify-content: space-between;
}

.rs-handle-dot:after {
  background-color: white !important;
  border: 0 !important;
}


#knob-container:active {
  cursor: grabbing;
}

#knob-readout {
  color: #00ffcc;
  font-family: monospace;
  font-size: 28px;
  font-weight: bold;
} */